Skip to main content

Attach a Security Group to a Group

Attaches a single security group to the auto scaling group. Send the security group's id (from Available SGs) as security_group_id in the body. Call once per security group to attach more than one.

PUT/api/v1/scaler/scalegroups/security_groups/{scaler_id}/

Path parameters

  • scaler_idPathintegerrequired

    The id of the auto scaling group, as returned by List.

    • required
    • must be a valid auto scaling group ID
    example12345

Query parameters

  • project_idQueryintegerrequired

    Identifier of the project to scope the request to. Required integer project ID.

    • required
    • must be a valid integer project ID
    example{{project_id}}
  • apikeyQuerystringrequired

    API key used to authenticate the request.

    • required
    • non-empty string
    example{{api_key}}
  • locationQuerystringrequired

    Region of the group.

    • required
    • must be a valid region name (e.g., Delhi, Chennai)
    example{{location}}

Request body

application/json

object

The security group to attach. Attach one security group per call.

security_group_idintegerrequired

ID of the security group to attach (from Available SGs).

example12345
  • required
  • must be a valid security group ID available to the group

Responses

200Successful response
object

Security group attach confirmation.

codeinteger
example200
dataobject
errorsobject
messagestring
exampleSecurity Group Attaching Successfully